KDE 4.2 PyKDE API Reference

- KDE's Python API

# AbstractVideoOutput Class Reference

`from PyKDE4.phonon import *`

Inherits: Phonon.MediaNode
Namespace: Phonon

## Detailed Description

\class AbstractVideoOutput abstractvideooutput.h Phonon/AbstractVideoOutput Common base class for all video outputs.

See also:
  VideoWidget

## Methods

| __init__ (self, AbstractVideoOutputPrivate d)

## Method Documentation

__init__ | ( | self, |
|  | AbstractVideoOutputPrivate | d
| ) |  |  |

Internal:
  Constructor that is called from derived classes.

Parameters:

  | d | the private object